Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Class LocalizerFactory

    java.lang.Object
      net.sf.saxon.lib.LocalizerFactory

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DotNetLocalizerFactory, JavaLocalizerFactory

    public abstract class LocalizerFactory

extends Object
implements Serializable

Interface allowing localization modules for different languages to be dynamically loaded

See Also:
  Serialized Form

Constructor Summary
`LocalizerFactory()`

Method Summary
`LocalizerFactory` | `copy()` Copy the state of this factory to create a new LocalizerFactory.
`abstract Numberer` | `getNumberer(String language, String country)` Get the numberer for a given language
`void` | `setLanguageProperties(String lang, Properties properties)` Set properties for a particular language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizerFactory

    public LocalizerFactory()

Method Detail

### setLanguageProperties

    public void setLanguageProperties(String lang,
                                      Properties properties)

  Set properties for a particular language. The properties available are specific to the LocalizerFactory in use. Default implementation does nothing.

  Parameters:
    `lang` - the language
    `properties` - properties of this language
  Since:
    9.2

### getNumberer

    public abstract Numberer getNumberer(String language,
                                         String country)

  Get the numberer for a given language

  Parameters:
    `language` - the language code (for example "de" or "en-GB"). The value may be null, in which case a default language should be assumed.
    `country` - the country, as used in format-date(). This is not the country associated with the language, but the one associated with the date to be formatted. It is primarily used to determine a civil time zone name. The value may be null, in which case a default country should be assumed.
  Returns:
    the appropriate numberer, or null if none is available (in which case the English numberer will be used)

### copy

    public LocalizerFactory copy()

  Copy the state of this factory to create a new LocalizerFactory. The default implementation returns this LocalizerFactory unchanged (which should only be done if it is immutable).

  Returns:
    a copy of this LocalizerFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.